### Signal

# Gtk Text::activate

since: 4.0

#### Declaration

    void
    activate (
      GtkText* self,
      gpointer user_data
    )

#### Description [src]

Emitted when the user hits the `Enter` key.

The default bindings for this signal are all forms of the `Enter` key.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code
Available since: 4.0